/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright (c) 2012-2014 WaBit Inc. All rights reserved.
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.wabit.uecs;

/**
 * CCM通信プロトコルハンドラーインタフェースです。
 *
 * @author WaBit
 *
 */
public interface IUecsProtocolHandler {

    /**
     * 通信ポート番号を取得します。
     * @return ポート番号
     */
    public int getPort();

    /**
     * データ送受信処理を行います。
     * @param request 要求データ
     * @param response 応答データ
     * @exception 処理に失敗するとスローされます
     */
    public void handle(UecsRequest request, UecsResponse response) throws Exception;


    /**
     * 通信時例外処理を行います。
     * @param request 要求データ
     * @param response 応答データ
     * @param exception 発生した例外
     */
    public void handleException(UecsRequest request, UecsResponse response, Exception exception);


}
